package com.pack.modeler.repository;


import com.pack.modeler.model.ActivityData;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ActivityDataRepo extends JpaRepository<ActivityData, Long> {
    List<ActivityData> findAllByToken(String entry);
    List<ActivityData> findAllByLink(String entry);
    List<ActivityData> findAllByTokenAndLink(String token, String link);
}
